PDA

View Full Version : [SOLVED] Recent updates



Hewjr100
1st August 2011, 01:43 AM
Just did an update at 8:04 pm new york time. About 44 updates but the following were skipped.

[root@Hewjr Hewjr]# yum update
Loaded plugins: langpacks, presto, refresh-packagekit
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package cyrus-sasl.x86_64 0:2.1.23-17.fc15 will be updated
---> Package cyrus-sasl.x86_64 0:2.1.23-18.fc15 will be an update
---> Package cyrus-sasl-gssapi.x86_64 0:2.1.23-17.fc15 will be updated
---> Package cyrus-sasl-gssapi.x86_64 0:2.1.23-18.fc15 will be an update
---> Package cyrus-sasl-lib.i686 0:2.1.23-17.fc15 will be updated
---> Package cyrus-sasl-lib.x86_64 0:2.1.23-17.fc15 will be updated
---> Package cyrus-sasl-lib.i686 0:2.1.23-18.fc15 will be an update
--> Processing Dependency: libdb-5.1.so for package: cyrus-sasl-lib-2.1.23-18.fc15.i686
---> Package cyrus-sasl-lib.x86_64 0:2.1.23-18.fc15 will be an update
---> Package cyrus-sasl-md5.x86_64 0:2.1.23-17.fc15 will be updated
---> Package cyrus-sasl-md5.x86_64 0:2.1.23-18.fc15 will be an update
---> Package cyrus-sasl-plain.x86_64 0:2.1.23-17.fc15 will be updated
---> Package cyrus-sasl-plain.x86_64 0:2.1.23-18.fc15 will be an update
--> Finished Dependency Resolution
Error: Package: cyrus-sasl-lib-2.1.23-18.fc15.i686 (updates-testing)
Requires: libdb-5.1.so
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
[root@Hewjr Hewjr]# yum install libdb-5.1.so
Loaded plugins: langpacks, presto, refresh-packagekit
Setting up Install Process
No package libdb-5.1.so available.
Error: Nothing to do
[root@Hewjr Hewjr]# ^C
[root@Hewjr Hewjr]#

Fyi I used --skip-broken to install other packages, so were is this missing libdb-5.1.s0 file?

Henry

glennzo
1st August 2011, 01:52 AM
[glenn@phenom15 Downloads>$ yum whatprovides */libdb-5.1.so
Loaded plugins
......

......
libdb-5.1.25-2.fc15.x86_64 : The Berkeley DB database library for C
Repo : fedora
Matched from:
Filename : /lib64/libdb-5.1.so
Filename : /usr/lib64/libdb-5.1.so

Silly question probably but is your fedora repository enabled?

Hewjr100
1st August 2011, 02:00 AM
:) good question hmm I will check.... Yep fedora, updates, and test updates all selected.

Henry

---------- Post added at 09:00 PM ---------- Previous post was at 08:58 PM ----------

Oops 8:59 pm new york time, time for True Blood on Hbo. See ya in an hour.

Henry

offlineric
5th August 2011, 07:58 PM
I've had this issue too. As near as I can tell, it's because libdb is at version x86_64 5.1.25-2.fc15 on my system and was installed from the @anaconda-InstallationRepo-201105131943.x86_64. Possibly by google music manager, but I'm not sure.

mschwendt
5th August 2011, 08:51 PM
See post #6 there -> http://forums.fedoraforum.org/showpost.php?p=1501197&postcount=6